CASTGET(1)

NAME
castget - download RSS enclosures

SYNOPSIS
castget [OPTION]... [CHANNEL IDENTIFIER]...

DESCRIPTION

The program downloads RSS enclosures, for example podcasts, from RSS feeds.

RSS feeds are assigned channel identifiers in the configuration file .castgetrc. Channels to be processed by castget are indicated by supplying the channel identifiers as arguments. If no channel identifiers are provided, all available channels are processed.

If run without any options, castget will perform the default action on all channels to be processed. The default action is to download any enclosure not already downloaded. Other actions may be performed by supplying one or more options as arguments.

OPTIONS

-c, --catchup
    catch up with channels and exit

-l, --list
    list available enclosures that have not yet been downloaded, and exit

-n, --new-only
    operate on new channels only, i.e. on channels that have never been downloaded from or been caught up with before. Note that if a channel is added to the configuration and subsequently removed, its download history is preserved so that the channel will not be considered as `new' if re-added to the configuration at a later time.

-1, --first-only
    operate on the most recent enclosure in each channel only.

-r, --resume
    resume aborted downloads

-q, --quiet
    do not print anything except error messages

-v, --verbose
    print detailed progress information

-h, --help
    display help and exit

-V, --version
    output version information and exit

EXAMPLES

castget
    download all enclosures not already downloaded

castget -v foobar
    download all enclosures not already downloaded from channel foobar and be verbose

castget -l
    list all enclosures not already downloaded

castget -c foobar
    catch up with channel foobar

SEE ALSO
castgetrc(5)

AUTHOR
Marius L. Jøhndal.

COPYRIGHT
Copyright © 2005 Marius L. Jøhndal.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.